$(document).ready(function () {




    $('.open').on('click', function () {
        $('.description').addClass('nope');
        var target = $(this).data('target');
        $('.' + target).toggleClass('nope');

    })



    const menuIcon = document.querySelector(".hamburger-menu");
    const navbar = document.querySelector(".navbar");

    menuIcon.addEventListener("click", function () {
        navbar.classList.toggle("change");
    })



    $(".nav-link").on("click", function (e) {
        e.preventDefault();

        var id = $(this).attr('href');
        var ma_div = $(id);
        var E = ma_div.offset().top;

        $('html,body').animate({
            'scrollTop': E
        }, 2000);

        ($(this).parent()).addClass('active');
    })


    $('.moi').on('mouseover', function () {
        $('.moi').toggleClass('effect');
        $('.nope').css({
            'display': 'flex'
        });

    })

    $('.moi').on('mouseout', function () {
        $('.moi').toggleClass('effect');
        $('.nope').css('display', 'none');
    })

    $('.slide').on('click', function () {
        var target = $(this).data('target');
        $('.' + target).addClass('active');
        $('body').css('overflow-y', 'hidden');
        $('.slides').css('animation-play-state', 'paused');
    })

    $('button.close').on('click', function () {
        $('.popup-overlay').removeClass('active');
        $('body').css('overflow-y', 'visible');
        $('.slides').css('animation-play-state', 'running');
    })



})